curl --request PATCH \
--url https://api.consumer.younegotiate.com/accounts/{consumer}/payments/{payment}/date \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date": "2026-06-20"
}
'import requests
url = "https://api.consumer.younegotiate.com/accounts/{consumer}/payments/{payment}/date"
payload = { "date": "2026-06-20" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({date: '2026-06-20'})
};
fetch('https://api.consumer.younegotiate.com/accounts/{consumer}/payments/{payment}/date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"account": {
"id": 123,
"identity": {
"account_name": "<string>",
"account_number": "<string>",
"member_account_number": "<string>",
"reference_number": "<string>",
"statement_id_number": "<string>",
"subclient_account_number": "<string>",
"consumer_name": "<string>",
"last4ssn": "<string>"
},
"display": {
"state": {
"label": "<string>",
"card_label": "<string>",
"priority": 123
},
"condition": {
"label": "<string>"
},
"view_flags": {
"is_installment_payment_plan": true,
"is_scheduled_settlement": true,
"is_agreed_installment_payment_plan": true,
"is_agreed_settlement": true,
"is_cancelled_plan": true,
"is_declined_closed_negotiation": true,
"is_pending_settlement_offer": true,
"is_counter_settlement_offer": true,
"is_active_installment_offer": true,
"is_returned_notice_response": true,
"is_creditor_removed_dispute_no_pay": true,
"is_no_pay_creditor_removed": true
},
"amounts": {
"payoff_balance": "2125.00",
"settlement_payoff_balance": "1750.00",
"current_balance": "2500.00",
"original_balance": "2500.00",
"my_settlement_offer": "100.00",
"creditor_settlement_offer": "490.00",
"active_installment_payoff_balance": "2125.00"
},
"balance_items": [
{
"key": "payoff_balance",
"label": "Payoff Balance",
"amount": "2125.00",
"amount_label": "$2,125.00"
}
],
"offer_summary_items": [
{
"key": "payoff_balance",
"label": "Payoff Balance",
"amount": "2125.00",
"amount_label": "$2,125.00"
}
],
"payment_plan_meta_items": [
{
"key": "next_due_date",
"label": "Next Due Date",
"value": "Jun 15, 2026"
}
],
"settlement_schedule_date": "<string>",
"available_actions": [
{
"key": "manage_plan",
"label": "Manage Plan"
}
]
},
"status": {
"value": "payment_accepted",
"label": "Payment Plan"
},
"hold_reason": "Need a short break from payments.",
"flags": {
"payment_setup": true,
"offer_accepted": true,
"counter_offer": true,
"has_failed_payment": true,
"custom_offer": true,
"membership_active_account": true
},
"dates": {
"placement_date": "2023-12-25",
"expiry_date": "2023-12-25",
"restart_date": "2023-12-25",
"last_login_at": "2023-11-07T05:31:56Z",
"disputed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"deactivated_at": "2023-11-07T05:31:56Z"
},
"company": {
"id": 123,
"company_name": "<string>",
"about_us": "<p>ABC Collections works with consumers on flexible repayment options.</p>"
},
"subclient": {
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>"
},
"reason_label": "<string>",
"balances": "<unknown>",
"offer_summary_items": [
"<unknown>"
],
"payment_plan_meta_items": [
"<unknown>"
],
"active_negotiation": {
"id": 123,
"negotiation_type_label": "<string>",
"active_negotiation": true,
"offer_accepted": true,
"offer_accepted_at": "2023-11-07T05:31:56Z",
"counter_offer_accepted": true,
"first_pay_date": "2023-12-25",
"monthly_amount": "<string>",
"no_of_installments": 123,
"last_month_amount": "<string>",
"one_time_settlement": "<string>",
"negotiate_amount": "<string>",
"counter_one_time_amount": "<string>",
"counter_negotiate_amount": "<string>",
"counter_monthly_amount": "<string>",
"counter_no_of_installments": 123,
"counter_first_pay_date": "2023-12-25",
"consumer_offer_sent_at": "2023-11-07T05:31:56Z",
"creditor_counter_offer_sent_at": "2023-11-07T05:31:56Z",
"last_offer_type": "<string>"
},
"scheduled_payment": {
"id": 123,
"date": "2023-12-25",
"amount": "<string>",
"status": "<string>"
},
"notice_response": {
"id": 123,
"account_name": "<string>",
"account_number": "<string>",
"notice_balance": "<string>",
"status": 123,
"status_label": "<string>",
"reason_label": "<string>",
"sender_detail": {
"id": 123,
"sender": {
"id": 123,
"company_name": "Acme Collections",
"company_phone": "(900) 509-1111",
"company_email": "jsmith@example.com",
"company_address1": "<string>",
"company_address2": "<string>",
"company_city": "<string>",
"company_state": "<string>",
"company_zip": "<string>",
"company_url": "<string>"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"summary": {
"scheduled_count": 2,
"cancelled_count": 1,
"transaction_history_count": 3,
"scheduled_total": "250.00",
"cancelled_total": "125.00",
"successful_total": "375.00",
"failed_total": "0.00",
"current_balance": "725.25",
"original_balance": "1000.00",
"negotiated_balance": "725.25"
},
"schedule_plan": {
"key": "payment_plan",
"label": "Payment Plan",
"back_tab": "payment_plans",
"manage_label": "Manage My Plan",
"cancel_label": "Cancel Plan",
"actions": {
"can_pay_remaining_balance": true,
"can_generate_helping_hand_link": true,
"can_generate_helping_hand_qr_code": true,
"can_make_extra_payment": true,
"can_change_payment_method": true,
"can_request_settlement_date": true,
"can_update_recurring_payment_date": true,
"can_download_agreement": true,
"can_hold_plan": true,
"can_restart_plan": true,
"can_cancel_plan": true,
"can_cancel_settlement": true
},
"action_items": [
{
"key": "pay_now",
"label": "Pay Now",
"available": true
}
],
"cancel_preview": {
"original_balance": "1000.00",
"payment_plan_starting_balance": "725.25",
"payments_made": "125.00",
"current_balance_due": "875.00"
},
"is_on_hold": false,
"restart_date": "2023-12-25"
},
"scheduled_payments": [
{
"id": 123,
"record_type": "scheduled_payment",
"record_key": "scheduled:12",
"amount": "125.00",
"status": {
"label": "Scheduled"
},
"transaction_id": 123,
"transaction_type_label": "Payment Plan",
"schedule_date": "2023-12-25",
"previous_schedule_date": "2023-12-25",
"is_first_schedule_row": true,
"is_next_scheduled_payment": true,
"actions": {
"can_pay_now": true,
"can_generate_helping_hand_link": true,
"can_generate_helping_hand_qr_code": true,
"can_partial_pay": true,
"can_change_date": true,
"can_skip": true,
"can_reschedule_today": true,
"can_request_settlement_date": true
},
"action_items": [
{
"key": "pay_now",
"label": "Pay Now",
"available": true
}
],
"status_code": "<string>",
"attempt_count": 123,
"last_attempted_at": "2023-11-07T05:31:56Z",
"payment_profile": {
"id": 123,
"method_label": "Card",
"label": "Card ending in 4242",
"last_four_digit": "<string>",
"account_number_last_four": "<string>",
"expiration_month": "<string>",
"expiration_year": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"is_saved_for_future_use": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"cancelled_payments": [
{
"id": 123,
"record_type": "scheduled_payment",
"record_key": "scheduled:12",
"amount": "125.00",
"status": {
"label": "Scheduled"
},
"transaction_id": 123,
"transaction_type_label": "Payment Plan",
"schedule_date": "2023-12-25",
"previous_schedule_date": "2023-12-25",
"is_first_schedule_row": true,
"is_next_scheduled_payment": true,
"actions": {
"can_pay_now": true,
"can_generate_helping_hand_link": true,
"can_generate_helping_hand_qr_code": true,
"can_partial_pay": true,
"can_change_date": true,
"can_skip": true,
"can_reschedule_today": true,
"can_request_settlement_date": true
},
"action_items": [
{
"key": "pay_now",
"label": "Pay Now",
"available": true
}
],
"status_code": "<string>",
"attempt_count": 123,
"last_attempted_at": "2023-11-07T05:31:56Z",
"payment_profile": {
"id": 123,
"method_label": "Card",
"label": "Card ending in 4242",
"last_four_digit": "<string>",
"account_number_last_four": "<string>",
"expiration_month": "<string>",
"expiration_year": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"is_saved_for_future_use": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"transaction_history": [
{
"id": 123,
"transaction_id": "gateway-payment-100",
"record_type": "transaction_history",
"record_key": "transaction:44",
"amount": "250.00",
"status": {
"label": "Scheduled"
},
"schedule_transaction_id": 123,
"schedule_date": "2023-12-25",
"transaction_type_label": "Settlement",
"payment_profile": {
"id": 123,
"method_label": "Card",
"label": "Card ending in 4242",
"last_four_digit": "<string>",
"account_number_last_four": "<string>",
"expiration_month": "<string>",
"expiration_year": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"is_saved_for_future_use": true
},
"processed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"calendar_events": [
{
"id": 123,
"title": "Payment Account",
"start": "2023-12-25",
"extended_props": {
"consumer_id": 123,
"amount": "125.00",
"raw_amount": 125,
"payment_method_label": "Card",
"last4": "<string>",
"account_number": "<string>",
"is_on_hold": true,
"hold_label": "<string>",
"restart_on": "2023-12-25"
}
}
],
"result": "date_updated",
"next_tab": "payment_plans",
"payment_profile": {
"id": 123,
"method_label": "Card",
"label": "Card ending in 4242",
"last_four_digit": "<string>",
"account_number_last_four": "<string>",
"expiration_month": "<string>",
"expiration_year": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"is_saved_for_future_use": true
},
"negotiation": {
"id": 123,
"negotiation_type_label": "<string>",
"installment_type_label": "<string>",
"payment_profile_id": 123,
"payment_plan_current_balance": "<string>",
"one_time_settlement": "<string>",
"negotiate_amount": "<string>",
"monthly_amount": "<string>",
"no_of_installments": 123,
"first_pay_date": "2023-12-25"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}{
"message": "<string>",
"errors": {}
}Change scheduled payment date
Change one scheduled installment date. The requested date must be after today and before the next scheduled installment. Sending today’s date returns a 422 validation response under errors.date.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID.
Numeric scheduled payment row ID returned in scheduled_payments[].id.
Body
New installment schedule date. Must be after today and before the next scheduled installment.
"2026-06-20"
Response
Scheduled payment date updated.
"Payment rescheduled for today."
"Payment skipped."
"Payment scheduled for today was not skipped."
"Payment date updated."
"Settlement date updated."
"Awesome! Your offer was sent to your creditor!"
"Recurring payment schedule updated."
"Payment plan cancelled."
"Settlement cancelled."
"Payment processed."
"Partial payment processed."
"Remaining balance paid."
"Extra payment processed."
Show child attributes
Show child attributes
Was this page helpful?

